### Method

# Json Parser steal_root

since: 1.4

#### Declaration [src]

    JsonNode*
    json_parser_steal_root (
      JsonParser* parser
    )

#### Description [src]

Steals the top level node from the parsed JSON stream.

This will be `NULL` in the same situations as `json_parser_get_root()` return `NULL`.

Available since: 1.4

#### Return value

Type: `JsonNode`

The root node.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.